Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTSecApi.LSA_FOREST_TRUST_RECORD

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD

Direct Known Subclasses:
  NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference

Enclosing interface:
  NTSecApi

    public static class NTSecApi.LSA_FOREST_TRUST_RECORD

extends com.sun.jna.Structure

Nested Class Summary
`static class` | `NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference`
`static class` | `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `Flags` Flags that control the behavior of the operation.
`int` | `ForestTrustType` LSA_FOREST_TRUST_RECORD_TYPE enumeration that indicates the type of the record.
`WinNT.LARGE_INTEGER` | `Time`
`NTSecApi.LSA_FOREST_TRUST_RECORD.UNION` | `u` Data type depending on ForestTrustType.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_FOREST_TRUST_RECORD()`

Method Summary
`void` | `read()`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Flags

    public com.sun.jna.NativeLong Flags

  Flags that control the behavior of the operation.

### ForestTrustType

    public int ForestTrustType

  LSA_FOREST_TRUST_RECORD_TYPE enumeration that indicates the type of the record. The following table shows the possible values. ForestTrustTopLevelName Record contains an included top-level name. ForestTrustTopLevelNameEx Record contains an excluded top-level name. ForestTrustDomainInfo Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure. ForestTrustRecordTypeLast Marks the end of an enumeration.

### Time

    public WinNT.LARGE_INTEGER Time

### u

    public NTSecApi.LSA_FOREST_TRUST_RECORD.UNION u

  Data type depending on ForestTrustType.

Constructor Detail

### NTSecApi.LSA_FOREST_TRUST_RECORD

    public NTSecApi.LSA_FOREST_TRUST_RECORD()

Method Detail

### read

    public void read()

  Overrides:
    `read` in class `com.sun.jna.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD